Sales API

4 PracBill API endpoints for sales. Base URL https://billing.pracbill.com.au/api.

Process external sales from e-commerce platforms (creates customer, invoice, items, and payments)

POST /{api_key}/externalsales/add

Request body

FieldTypeDescription
idstringExternal system sale/order ID
order_numberstringOrder number
cidintegerExisting customer ID (if known)
companystringCompany name (for customer matching/creation)
namestringCustomer first name
surnamestringCustomer last name
emailstringCustomer email
phonestringCustomer phone
timestampintegerUnix timestamp of sale
datestringSale date/time
shipping_addressobjectShipping address details
billing_addressobjectBilling address details
inc_tax_shippingnumberShipping amount including tax
ex_tax_shippingnumberShipping amount excluding tax
discountnumberDiscount percentage
productsarray of objectArray of products/items sold
paymentsobjectPayment details keyed by payment method
vouchersarray of objectVouchers applied to sale
voidbooleanWhether sale is void

Responses

  • 200 — Sale processed successfully

POST /{api_key}/orders/add

POST /{api_key}/orders/add

Request body

FieldTypeDescription
idinteger
cidinteger
companystring
order_typestring
service_typestring
date_orderedstring
date_expectedstring
statusstring

Responses

  • 200 — Successful request

POST /{api_key}/services/qualify

POST /{api_key}/services/qualify

Parameters

NameInTypeDescription
address requiredquerystring
avcidquerystringAVC ID for transfer verification. When provided, the response will include avc_match, avc_target, and avc_current_epid fields.
service_typequerystringService type for qualification (e.g. FTTP, HFC, FTTC). Used with avcid to qualify for Primary or Original Technology.

Responses

  • 200 — The qualification response

POST /{api_key}/services/qualify/ndf

POST /{api_key}/services/qualify/ndf

Parameters

NameInTypeDescription
address requiredquerystring

Responses

  • 200 — The qualification response

← All API groups